pvsgain
Prev | Orchestra Opcodes and Operators | Next

## pvsgain

pvsgain — Scale the amplitude of a pv stream.

## Description

Scale the amplitude of a pv stream.

## Syntax

    fsig pvsgain fsigin, kgain

## Performance

fsig -- output pv stream

fsigin -- input pv stream

kgain -- amplitude scaling (defaults to 1).

| Warning
It is unsafe to use the same f-variable for both input and output of pvs opcodes. Using the same one might lead to undefined behavior on some opcodes. Use a different one on the left and right sides of the opcode.

## Examples

Here is an example of the use of the pvsgain opcode. It uses the file pvsgain.csd.

Example 652. Example of the pvsgain opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac  ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o pvsgain.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    kgain = p4
    asig  diskin2	"beats.wav", 1
    fsig  pvsanal   asig, 1024, 256, 1024, 1; analyse it
    ftps  pvsgain   fsig, kgain		; amplify it
    atps  pvsynth   ftps			; synthesise it
          outs      atps, atps

    endin
    </CsInstruments>
    <CsScore>

    i1 0 2 .5
    i1 + 2  1

    e
    </CsScore>
    </CsoundSynthesizer>

## See Also

pvsanal, pvsynth, pvsadsyn

## Credits

Author: Victor Lazzarini
2011

New plugin in version 5

2011

Prev | Up | Next
pvsfwrite | Home | pvshift